# Rex

Rex is an implemenation of an order book and an accompanying
matching engine.

## Installation

Clone this repository

```sh
$ git clone git@git.timkaechele.me:timkaechele/rex.git
```

Install the gem

```sh
$ rake install
```

## Usage

### Start a simple exchange server

Use the built-in command line tool to start a simple server

```sh
# Start a server that binds to 0.0.0.0 and listens on port 8080
$ rex-server 0.0.0.0 8080
```

## Contributing

Bug reports and pull requests are welcome on GitHub at https://git.timkaechele.me/timkaechele/rex. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [code of conduct](https://git.timkaechele.me/timkaechele/rex/src/branch/main/CODE_OF_CONDUCT.md).

## Code of Conduct

Everyone interacting in the Rex project's codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://git.timkaechele.me/timkaechele/rex/src/branch/main/CODE_OF_CONDUCT.md).
